Geopsy crash

Post in this forum any question related to the installation on any of the supported platforms (Linux, Mac OS X, Windows)
fontiela
Posts: 1
Joined: Sat Jul 11, 2015 1:40 pm

Geopsy crash

Postby fontiela » Mon Jul 13, 2015 1:48 pm

When I try to open I get the following crash message:

<CrashReport>
<Error>
<severity>--FATAL ERROR- </severity>
<message>Segmentation fault Signal</message>
<time>2015-07-13 14:43:04.730</time>
<threads>main,layerPainter1,layerPainter2,layerPainter3,layerPainter4,layerPainter5,layerPainter6,layerPainter7,layerPainter8</threads>
<currentThread>main thread</currentThread>
<stack>---- thread main
void QGpGuiTools::UpdateIcon::checkAvailability():126
void QGpGuiTools::HttpAccess::testFinished():114
void GeopsyMainWindow::setPreferences():302
void GeopsyMainWindow::startupPreferences():234
---- thread layerPainter1
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter2
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter3
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter4
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter5
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter6
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter7
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter8
virtual void SciFigs::LayerPainterThread::run():59
</stack>
<bugStack>---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread layerPainter3
---- thread layerPainter4
---- thread layerPainter5
---- thread layerPainter6
---- thread layerPainter7
---- thread layerPainter8
---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread layerPainter3
---- thread layerPainter4
---- thread layerPainter5
---- thread layerPainter6
---- thread layerPainter7
---- thread layerPainter8
</bugStack>
</Error>
<application>geopsy</application>
<version> Qt 4.8.4
QGpCoreTools 1.25.0 from geopsypack-2.8.0
(built on 201503182103)
QGpGuiTools 1.13.3 from geopsypack-2.8.0
(built on 201503182103)
SciFigs 2.6.5 from geopsypack-2.8.0
(built on 201503182103)
GeopsyCore 3.6.1 from geopsypack-2.8.0
(built on 201505291405)
GeopsyGui 2.12.0 from geopsypack-2.8.0
(built on 201503182103)
GeopsySLink 1.0.0 from geopsypack-2.8.0
(built on 201101031552)
GeopsySLinkGui 1.0.1 from geopsypack-2.8.0
(built on 201103131943)
geopsy 2.9.1 from geopsypack-2.8.0
(built on 201503182131)
MonoStation 1.8.1 from geopsypack-2.8.0
(built on 201503182103)
geopsyhv 2.6.5 from geopsypack-2.8.0
(built on 201201301054)
DinverCore 0.11.0 from geopsypack-2.8.0
(built on 201506021424)
structureratios 0.5.2 from geopsypack-2.8.0
(built on 201109161016)
</version>
<system>Mac OS X ??</system>
</CrashReport>


Any solution?

admin
Site Admin
Posts: 417
Joined: Mon Aug 13, 2007 11:48 am
Location: ISTerre
Contact:

Re: Geopsy crash

Postby admin » Wed Nov 04, 2015 10:23 am

You are probably using Snow Leopard or another build on a recent Max OS X system. I'm currently working on porting Geopsy to Qt 5 which is the necessary condition to have a working release for Yosemite or El Capitan. I cannot promise a fixed release day now but it will come soon. Meanwhile the only reliable alternative is to install VirtualBox (or similar virtualization package) and install Ubuntu Linux inside a virtual machine. Follow then the Linux installation steps. Feel free to ask for assistance about this process in this forum.


Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest